#include<bits/stdc++.h>
using namespace std;
bool kt(int n,int m,int p)
{
    bool kq=false;
    if(n+m>p)
    {
        if(n+p>m)
        {
            if(m+p>n)
            {
                kq=true;
            }
        }
    }
    return kq;
}
int main()
{
    ifstream f1("BAI2_18.inp");
    ofstream f2("BAI2_18.out");
    int n;
    f1>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sort(a,a+n);
    int t=0;
    for(int i=0;i<n-2;i++)
    {
        for(int j=i+1;j<n-1;j++)
        {
            for(int k=j+1;k<n;k++)
            {
                if(kt(a[i],a[j],a[k])==true)
                {
                    t++;
                }
            }
        }
    }
    f2<<t;
}
